---
title: "Get Channel Accounts"
slug: "get-channel-accounts"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Channel Accounts

Get/v1/channel-accounts

Read all Channel Accounts within the permissions of the user.

**Limitations:** A Channel Account user cannot read its own account. Only Distributor/Governance or Control Account users have access.

SecurityHTTPType basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).

Query parameterspageinteger

The page number to retrieve

sizeinteger

The number of records per page

idinteger

Filter by Channel Account ID

statusstring

Filter by status

Valid values[
  "Active",
  "Deactivated"
]
namestring

Filter by Channel Account name

contactEmailstring (email) 

Filter by contact email

controlAccountIdinteger

Filter by Control Account ID

includeDeletedSubAccountsboolean

Whether to include deleted sub-accounts in counts

Responses200

Successfully retrieved Channel Accounts

<select class='api-response-data' aria-label='Media type'><option value='b5a7b4b5-442e-4766-90f5-0e340b96cf26'>application/json</option>
</select>

```json
{
  "success": "True",
  "message": "Successfully read!",
  "data": {
    "items": [
      {
        "id": "53211",
        "name": "Sample Channel Account",
        "controlAccountId": "53165",
        "controlAccountName": "Sample Control Account",
        "governanceAccountName": "Sample Governance",
        "governanceAccountId": "45424",
        "purchasedStorage": "3",
        "subAccountDefaultPurchasedStorage": "1",
        "subAccountDefaultStorageQuotaType": "Soft quota",
        "storageQuotaType": "Soft quota",
        "subAccountStorage": "0.015625",
        "billableActiveStorage": "0.014321",
        "billableDeletedStorage": "0.001304",
        "subAccountsCount": "3",
        "status": "Active",
        "creationDate": "2024-07-09T08:36:50.898Z",
        "contactEmail": "contact@example.com",
        "deleted": "False"
      }
    ],
    "page": "1",
    "size": "20",
    "total": "1"
  }
}
```

Expand Allobject  successboolean    
messagestring    
dataobject  items Array of object (ChannelAccountResponse)   object  idinteger    
namestring    
controlAccountIdinteger    
controlAccountNamestring    
governanceAccountIdinteger    
governanceAccountNamestring    
purchasedStoragenumber    
subAccountDefaultPurchasedStoragenumber    
subAccountDefaultStorageQuotaTypestring    
storageQuotaTypestring    
subAccountStoragenumber    
billableActiveStoragenumber    
billableDeletedStoragenumber    
subAccountsCountinteger    
statusstring    
imageUrlstring   | null  
creationDatestring  (date-time)    
address1string    
address2string    
countrystring    
citystring    
statestring    
zipstring    
mainPhonestring    
billingPhonestring    
contactEmailstring    
billingEmailstring    
businessNumberstring    
taxIdstring    
fiscalNumberstring    
vatNumberstring    
websitestring    
ssoEnabledboolean    
deletedboolean    

pageinteger    
sizeinteger    
totalinteger
